# get_bb_floorfirst

Returns which branch to take first in branch-and-bound algorithm.

int get_bb_floorfirst(lprec *lp);

Return Value

get_bb_floorfirst returns which branch to take first in branch-and-bound algorithm. Can by any of the following values:

BRANCH_CEILING (0) | Take ceiling branch first
BRANCH_FLOOR (1) | Take floor branch first
BRANCH_AUTOMATIC (2) | Algorithm decides which branch being taken first

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

The get_bb_floorfirst function returns which branch to take first in branch-and-bound algorithm. This can influence solving times considerably. Depending on the model one rule can be best and for another model another rule.
The default is BRANCH_AUTOMATIC (2).

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      int floor_first;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      floor_first = get_bb_floorfirst(lp); /* Will return 1 */

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, set_bb_floorfirst, set_var_branch, get_var_branch, set_var_weights, get_var_priority